Bug 3893 - Inline fixed point operations
Summary: Inline fixed point operations
Status: RESOLVED FIXED
Alias: None
Product: cairo
Classification: Unclassified
Component: general (show other bugs)
Version: 0.9.3
Hardware: All All
: high normal
Assignee: Carl Worth
QA Contact: cairo-bugs mailing list
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-07-27 11:48 UTC by Billy Biggs
Modified: 2008-10-08 05:28 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Billy Biggs 2005-07-27 11:48:38 UTC
In oprofile, I was seeing _cairo_fixed_from_double show up in the list.  The
functions in cairo-fixed.c are all too short to deserve being functions
themselves.  Given that cairo's fixed point will always be 16.16 or things will
break anyway, I think they should either be just inlined everywhere they are
used, or converted to macros.

The attached patch takes the macro approach.
Comment 1 Billy Biggs 2005-07-27 11:49:01 UTC
Created attachment 3159 [details]
Working log with i810_drv.o and 6.8.2
Comment 2 Carl Worth 2005-08-22 17:14:39 UTC
Move bugs against "cvs" version to "0.9.3" so we can remove the "cvs" version.
Comment 3 Kalle Vahlman 2007-07-02 12:51:09 UTC
First, the attachement seems to point to a X server log in some other bug (I guess this is due some mishap the bugzilla went over?).

Secondly, Cairo is moving to 24.8 internal representation and according to http://lists.freedesktop.org/archives/cairo/2007-June/010803.html, the fixed-point functions should be inlined along that change.

The changes are targeted for 1.6 I think, and should be merged to git soonish. This bug can be closed then.
Comment 4 Carl Worth 2007-07-02 14:00:17 UTC
(In reply to comment #3)
> First, the attachement seems to point to a X server log in some other bug (I
> guess this is due some mishap the bugzilla went over?).

Yeah, there was some machine disaster at some point, (a compromise followed by a rebuild or something?), that left all of the bugzilla attachments corrupted.

-Carl (who'd love to have a nice git-integrated bug tracking tool...)
Comment 5 Chris Wilson 2008-10-08 05:28:42 UTC
Moved to todo.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.